XSValue Class Reference

`#include <xercesc/framework/psvi/XSValue.hpp>`

Inheritance diagram for XSValue:

## Classes

struct | XSValue_Data
| public data More...

## Public Types

enum

DataType {
dt_string = 0 , dt_boolean = 1 , dt_decimal = 2 , dt_float = 3 ,
dt_double = 4 , dt_duration = 5 , dt_dateTime = 6 , dt_time = 7 ,
dt_date = 8 , dt_gYearMonth = 9 , dt_gYear = 10 , dt_gMonthDay = 11 ,
dt_gDay = 12 , dt_gMonth = 13 , dt_hexBinary = 14 , dt_base64Binary = 15 ,
dt_anyURI = 16 , dt_QName = 17 , dt_NOTATION = 18 , dt_normalizedString = 19 ,
dt_token = 20 , dt_language = 21 , dt_NMTOKEN = 22 , dt_NMTOKENS = 23 ,
dt_Name = 24 , dt_NCName = 25 , dt_ID = 26 , dt_IDREF = 27 ,
dt_IDREFS = 28 , dt_ENTITY = 29 , dt_ENTITIES = 30 , dt_integer = 31 ,
dt_nonPositiveInteger = 32 , dt_negativeInteger = 33 , dt_long = 34 , dt_int = 35 ,
dt_short = 36 , dt_byte = 37 , dt_nonNegativeInteger = 38 , dt_unsignedLong = 39 ,
dt_unsignedInt = 40 , dt_unsignedShort = 41 , dt_unsignedByte = 42 , dt_positiveInteger = 43 ,
dt_MAXCOUNT = 44
}

enum | XMLVersion { ver_10 , ver_11 }
enum | Status { st_Init , st_NoContent , st_NoCanRep , st_NoActVal , st_NotSupported , st_CantCreateRegEx , st_FOCA0002 , st_FOCA0001 , st_FOCA0003 , st_FODT0003 , st_UnknownType }
enum | DataGroup { dg_numerics , dg_datetimes , dg_strings }
enum | DoubleFloatType { DoubleFloatType_NegINF , DoubleFloatType_PosINF , DoubleFloatType_NaN , DoubleFloatType_Zero , DoubleFloatType_Normal }

## Public Member Functions

Destructor
| ~XSValue ()
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## Externalization methods

struct XSValue::XSValue_Data | fData
static bool | validate (const XMLCh *const content, DataType datatype, Status &status, XMLVersion version=ver_10, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Validate a given string of the data type specified.
static XMLCh * | getCanonicalRepresentation (const XMLCh *const content, DataType datatype, Status &status, XMLVersion version=ver_10, bool toValidate=true, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Get the canonical representation for a given string of the data type specified.
static XSValue * | getActualValue (const XMLCh *const content, DataType datatype, Status &status, XMLVersion version=ver_10, bool toValidate=true, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Get the actual value, in the form of XSValue, for a given string of the data type specified.
static DataType | getDataType (const XMLCh *const dtString)

## Helpers

class | XMLInitializer

## Additional Inherited Members

Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.

## Member Enumeration Documentation

## DataGroup

enum XSValue::DataGroup

Enumerator
dg_numerics |
dg_datetimes |
dg_strings |

## DataType

enum XSValue::DataType

Enumerator
dt_string |
dt_boolean |
dt_decimal |
dt_float |
dt_double |
dt_duration |
dt_dateTime |
dt_time |
dt_date |
dt_gYearMonth |
dt_gYear |
dt_gMonthDay |
dt_gDay |
dt_gMonth |
dt_hexBinary |
dt_base64Binary |
dt_anyURI |
dt_QName |
dt_NOTATION |
dt_normalizedString |
dt_token |
dt_language |
dt_NMTOKEN |
dt_NMTOKENS |
dt_Name |
dt_NCName |
dt_ID |
dt_IDREF |
dt_IDREFS |
dt_ENTITY |
dt_ENTITIES |
dt_integer |
dt_nonPositiveInteger |
dt_negativeInteger |
dt_long |
dt_int |
dt_short |
dt_byte |
dt_nonNegativeInteger |
dt_unsignedLong |
dt_unsignedInt |
dt_unsignedShort |
dt_unsignedByte |
dt_positiveInteger |
dt_MAXCOUNT |

## DoubleFloatType

enum XSValue::DoubleFloatType

Enumerator
DoubleFloatType_NegINF |
DoubleFloatType_PosINF |
DoubleFloatType_NaN |
DoubleFloatType_Zero |
DoubleFloatType_Normal |

## Status

enum XSValue::Status

Enumerator
st_Init |
st_NoContent |
st_NoCanRep |
st_NoActVal |
st_NotSupported |
st_CantCreateRegEx |
st_FOCA0002 |
st_FOCA0001 |
st_FOCA0003 |
st_FODT0003 |
st_UnknownType |

## XMLVersion

enum XSValue::XMLVersion

Enumerator
ver_10 |
ver_11 |

## Constructor & Destructor Documentation

## ~XSValue()

XSValue::~XSValue | ( |  | ) |

## Member Function Documentation

## getActualValue()

static XSValue * XSValue::getActualValue | ( | const XMLCh *const | content,
|  | DataType | datatype,
|  | Status & | status,
|  | XMLVersion | version = `ver_10`,
|  | bool | toValidate = `true`,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

static

Get the actual value, in the form of XSValue, for a given string of the data type specified.

Client application is responsible for the deletion of the XSValue returned.

Parameters

  content | raw data
  datatype | schema datatype
  status | validation status which is set upon validation fails
  version | xml version
  toValidate | to validate the content before generate actual value
  manager | memory manager provided

## getCanonicalRepresentation()

static XMLCh * XSValue::getCanonicalRepresentation | ( | const XMLCh *const | content,
|  | DataType | datatype,
|  | Status & | status,
|  | XMLVersion | version = `ver_10`,
|  | bool | toValidate = `true`,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

static

Get the canonical representation for a given string of the data type specified.

Parameters

  content | raw data
  datatype | schema datatype
  status | validation status which is set upon validation fails
  version | xml version
  toValidate | to validate the content before generate canonical representation
  manager | memory manager provided

## getDataType()

static DataType XSValue::getDataType | ( | const XMLCh *const | dtString | ) |

static

## validate()

static bool XSValue::validate | ( | const XMLCh *const | content,
|  | DataType | datatype,
|  | Status & | status,
|  | XMLVersion | version = `ver_10`,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

static

Validate a given string of the data type specified.

Parameters

  content | data to be validated
  datatype | schema datatype
  status | validation status which is set upon validation fails
  version | xml version
  manager | memory manager provided

## Friends And Related Symbol Documentation

## XMLInitializer

friend class XMLInitializer

friend

## Member Data Documentation

## fData

struct XSValue::XSValue_Data XSValue::fData

The documentation for this class was generated from the following file:

- XSValue.hpp